package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.model.HeatStackModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * op heat service
 *
 * @author ymh
 * @时间 2019年11月13日
 */
public interface HeatProvider extends SuperProvider {
    public BocloudResult createStack(HeatStackModel heatStackModel);

    public BocloudResult listStack(HeatStackModel heatStackModel);

    public BocloudResult detailStack(HeatStackModel heatStackModel);

    public BocloudResult modifyStack(HeatStackModel heatStackModel);

    public BocloudResult removeStack(HeatStackModel heatStackModel);

    public BocloudResult exportStack(HeatStackModel heatStackModel);

    public BocloudResult detailStackTemplate(HeatStackModel heatStackModel);

    public BocloudResult detailStackEnvironment(HeatStackModel heatStackModel);

    public BocloudResult stackFiles(HeatStackModel heatStackModel);

    public BocloudResult templateVersions(HeatStackModel heatStackModel);

    public BocloudResult suspendStack(HeatStackModel heatStackModel);

    public BocloudResult resumeStack(HeatStackModel heatStackModel);

    public BocloudResult cheakStack(HeatStackModel heatStackModel);
}
